package com.prank.happypranksounds.data.entity;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity
public class HappyData implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private int id;
    private String categoryName;
    private String categoryUrl;
    private String title;
    private String mp3Url;
    private String preUrl;
    private boolean isFavorite;
    private boolean isExternal;

    public HappyData(String categoryName, String categoryUrl, String title, String mp3Url, String preUrl, boolean isFavorite, boolean isExternal) {
        this.categoryName = categoryName;
        this.categoryUrl = categoryUrl;
        this.title = title;
        this.mp3Url = mp3Url;
        this.preUrl = preUrl;
        this.isFavorite = isFavorite;
        this.isExternal = isExternal;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getCategoryUrl() {
        return categoryUrl;
    }

    public void setCategoryUrl(String categoryUrl) {
        this.categoryUrl = categoryUrl;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMp3Url() {
        return mp3Url;
    }

    public void setMp3Url(String mp3Url) {
        this.mp3Url = mp3Url;
    }

    public String getPreUrl() {
        return preUrl;
    }

    public void setPreUrl(String preUrl) {
        this.preUrl = preUrl;
    }

    public boolean isFavorite() {
        return isFavorite;
    }

    public void setFavorite(boolean favorite) {
        isFavorite = favorite;
    }

    public boolean isExternal() {
        return isExternal;
    }

    public void setExternal(boolean external) {
        isExternal = external;
    }
}
